<?php
 require_once "../config.php";
 require_once "neo_functions.php";

 error_reporting(E_ALL);
 ini_set("register_globals", "off");

 

 $datvon_default = date("d.m.Y",mktime(0,0,0,1,1,date("Y")));
 $datbis_default = date("d.m.Y",mktime(0,0,0,12,31,date("Y")));
 load_parameters();
 $datvon = getpostvar("datvon", $datvon_default);
 $datbis = getpostvar("datbis", $datbis_default);
 $datvonts = Dstr2TimeStamp($datvon);
 $datbists = Dstr2TimeStamp($datbis); 

 $action = getpostvar("action", "");
 $id = getpostvar("id", "");

 $Intervall = getpostvar("Intervall", "NONE");
 $IntervallCount = getpostvar("IntervallCount", "1");
 $Datum  = getpostvar("Datum", "");
 $Buchungstext = getpostvar("Buchungstext", "KEIN BUCHUNGSTEXT");
 $Betrag = getpostvar("Betrag", "");
 $MWST = getpostvar("MWST", "19");
 $MWST_Anteil = getpostvar("MWST_Anteil", "100");
 $Konto = getpostvar("Konto", "");
 $Ort = explode(';', getpostvar("Ort", ";"));
 $Ort = $Ort[0];
 $KM = getpostvar("KM", "0");
 $BetragOffen = getpostvar("BetragOffen", "");
 $nextAction = getpostvar('nextAction', 'list');

 // draw header
 require_once "header.html";

 if ($action=="saveparameters") {
    if (save_parameters()) {
        echo "Datumsbereich als neuen Standardwert gespeichert!";
    } else {
        echo "FEHLER: kann Datei 'options.json' nicht schreiben!";
    }
    $action = "";
 }


 if ($action=="") {
  // draw main menu
  echo "<form name='mainform' id='mainform' action='unset' method='post'>
         Datum von/bis: <input type='text' size='10' value='$datvon' name='datvon' id='datvon'> / <input type='text' size='10' value='$datbis' name='datbis' id='datbis'>
         <p><input class='button' type='button' value='Buchungen auflisten' onClick=\"submitfrm('mainform', 'kassenbuch.php', 'list')\">
         <br><input class='button' type='button' value='Kontoauszug drucken' onClick=\"submitfrm('mainform', 'kassenbuch_print.php', '')\">
         <br><input class='button' type='button' value='Kilometerliste drucken' onClick=\"submitfrm('mainform', 'kassenbuch_km.php', '')\">
         <p><input class='button' type='button' value='Aktuellen Datumsbereich zur Vorlage speichern' onClick=\"submitfrm('mainform', 'kassenbuch.php', 'saveparameters')\">
         <input type='hidden' name='action'>
        </form>";
  stop_script();
 }



 $link = mysql_connect($SQL_I, $SQL_U, $SQL_P);
 query("USE ". $SQL_DB.";");

 if (isset($Datum)) $Datum = Dstr2TimeStamp($Datum);

 if ($action=="add" || $action=="update") {
  // komma in punkt umwandeln:
  $Betrag = preg_replace("/,/",".",$Betrag);
  if ($BetragOffen!=1) $BetragOffen = 0;
 }

    if ($action=="add") {
        for ($i=0; $i<$IntervallCount; $i++) {
            $SQL = "INSERT INTO neo_kassenbuch (Datum,  Buchungstext,    Betrag,  MWST,  MWST_Anteil,  Konto,  Ort,  KM,  BetragOffen) VALUES 
                ($Datum, '$Buchungstext', $Betrag, $MWST, $MWST_Anteil, $Konto, $Ort, $KM, $BetragOffen);";
            mysql_query($SQL, $link)
                or QUERY_ERROR($SQL);
            if ($Intervall!="NONE") {
                // Datum modifizieren
                $d = date("Y-m-d",$Datum);
                $d = new DateTime($d);
                if ($d->modify($Intervall)===FALSE) die("FEHLER: Kann den gewaehlten Intervall nicht ausführen!");
                $d2 = $d->format("Y-m-d");
                $Datum = strtotime($d2);
            }
            echo "<p>$SQL</p>";
        }
        $action = $nextAction;
    }

 if ($action=="update") {
  if ($_POST["delete"]=="del") {
     $SQL = "DELETE FROM neo_kassenbuch WHERE id=$id;";
  } else {
     $SQL = "UPDATE neo_kassenbuch SET BetragOffen=$BetragOffen, Ort=$Ort, KM=$KM, Konto=$Konto, Datum=$Datum, Buchungstext='$Buchungstext', Betrag=$Betrag, MWST=$MWST, MWST_Anteil=$MWST_Anteil WHERE id=$id;";
  }
  mysql_query($SQL, $link)
   or QUERY_ERROR($SQL);

  $action="list";
 }



 unset($row);
 if ($action=="edit") {
  // Datensatz holen
  $SQL = "SELECT * FROM neo_kassenbuch WHERE ID=$id;";
  $res = mysql_query($SQL, $link);
  $row = mysql_fetch_array($res);
 }

 if ($action=="new") {
  if ($nextAction != 'new') {
    $row["Datum"] = date("U");
  } else $row["Datum"] = $Datum;
  $row["Buchungstext"] = $Buchungstext;
  $row["Betrag"] = "0.00";
  $row["MWST"] = "19";
  $row["KM"] = 0;
  $row["Ort"] = 0;
  $row["Konto"] = $Konto;
  $row["BetragOffen"] = 0;
  $row["MWST_Anteil"] = 100;

 }

 if ($action=="edit" || $action=="new") {
  // Eingabeformular anzeigen, defaultwerte aus $ROW holen
  $konten = buc_optionlist_konten($row["Konto"]);
  $orte = buc_optionlist_orte($row["Ort"]);

 $BetragOffenCheck = "";
 if ($row["BetragOffen"]==1) $BetragOffenCheck = "CHECKED";

 $intervalle = "<OPTION VALUE='NONE' SELECTED>Einzelbuchung
                <OPTION VALUE='+1 month'>Monatlich
		<OPTION VALUE='+3 month'>Quartalsweise
		<OPTION VALUE='+1 year'>J&auml;hrlich";

 $nextActions = "<OPTION VALUE='$nextAction' SELECTED>Standard
                <OPTION VALUE='list'>Buchungsliste
		<OPTION VALUE='new'>Neue Buchung";


  echo "<FORM ACTION='kassenbuch.php' METHOD='POST'><TABLE>
         <TR>
          <TD>Datum</TD><TD><INPUT TYPE='text' Value='".date("d.m.Y",$row["Datum"])."' Size='10' Name='Datum'></TD>
         </TR>
         <TR>
          <TD>Buchungstext</TD><TD><INPUT TYPE='text' Value='".$row["Buchungstext"]."' Size='80' Name='Buchungstext'></TD>
         </TR>
         <TR>
          <TD>Betrag</TD><TD><INPUT TYPE='text' Value='".$row["Betrag"]."' Size='10' Name='Betrag'>&nbsp;-&gt;&nbsp;Offen:&nbsp;<INPUT TYPE='checkbox' NAME='BetragOffen' $BetragOffenCheck VALUE='1'></TD>
         </TR>
         <TR>
          <TD>MWST</TD><TD><INPUT TYPE='text' Value='".$row["MWST"]."' Size='2' Name='MWST'> / Berechnet von <INPUT TYPE='text' Value='".$row["MWST_Anteil"]."' Size='3' Name='MWST_Anteil'>% des Bruttowertes</TD>
         </TR>
         <TR>
          <TD>Konto</TD><TD><SELECT Name='Konto'>$konten</SELECT></TD>
         </TR>
         <TR>
          <TD>Einsatzort/KM</TD><TD><SELECT id='ort' Name='Ort' onChange='updateKM()'>$orte</SELECT> <INPUT TYPE='text' id='target_km' Value='".$row["KM"]."' Name='KM' SIZE='4'> KM</TD>
         </TR>
         <TR>
          <TD>Multiple&nbsp;Buchung</TD><TD><SELECT Name='Intervall'>$intervalle</SELECT> Anzahl Buchungen: <INPUT TYPE='text' Value='1' Name='IntervallCount' SIZE='4'></TD>
         </TR>
         <TR>
          <TD></TD><TD><INPUT TYPE='submit' class='button' Value='Speichern'> || <input class='button' type='button' Value='Zurück' onClick='javascript:window.location=\"kassenbuch.php?datvon=$datvon&datbis=$datbis\";'></TD>
         </TR>
         <TR>
          <TD>Nächste Aktion</TD><TD><SELECT Name='nextAction'>$nextActions</SELECT></TD>
         </TR>
        </TABLE>
        <input type='hidden' value='$datvon' name='datvon'>
        <input type='hidden' value='$datbis' name='datbis'>
        <input type='hidden' value='$id' name='id'>";
  if ($action=="edit") {
    $action="update";
    echo "Zum Loeschen der Buchung muss hier 'del' eingegeben werden: <input type='text' value='' size='4' name='delete' />";
  } else $action="add";
  echo "<INPUT TYPE='hidden' Value='$action' Name='action'>
        </FORM>";
  stop_script();
 }

 if ($action=="list") {
  buc_list($datvonts, $datbists, "", "", true, true);
  echo "<input class='button' type='button' value='Neue Buchung' onClick='javascript:window.location=\"kassenbuch.php?datvon=$datvon&datbis=$datbis&action=new\";'>";
  echo "<p><input class='button' type='button' Value='Zurück' onClick='javascript:window.location=\"kassenbuch.php?datvon=$datvon&datbis=$datbis\";'>";
  stop_script();
 }


// FUNKTIONEN

 function buc_list($datvon,$datbis,$where,$order, $editable,$eraseable) {
  global $SQL_DB, $Sum_B_Ein, $Sum_B_Aus, $Sum_U_Ein, $Sum_U_Aus;

  if ($order == "") $order = "Datum, Buchungstext";

  // Alle Buchungen auflisten und nach Bereich filtern
  echo "<TABLE BORDER='0'>
        <thead>
         <tr>
          <TD COLSPAN='2' ROWSPAN='2'><IMG SRC='logo.jpg'></TD>
          <TD COLSPAN='4' align='center'><b>".date("d.m.Y",$datvon)." - ".date("d.m.Y",$datbis)."</b></TD>
         </tr>
         <TR>
          <TD COLSPAN='2' align='center'><b>EINNAHMEN</b></TD>
          <TD COLSPAN='2' align='center'><b>AUSGABEN</b></TD>
         </TR>
         <TR>
          <TD><b>Datum</b></TD>
          <TD><b>Buchungstext</b></TD>
          <TD align='right' width='70'><b>Netto</b></TD><TD align='right' width='70'><b>MWST</b></TD>
          <TD align='right' width='70'><b>Netto</b></TD><TD align='right' width='70'><b>MWST</b></TD>
         </TR>
        </thead>
        <tbody>";

  $Sum_B_Ein = 0;
  $Sum_B_Aus = 0;
  $Sum_U_Ein = 0;
  $Sum_U_Aus = 0;

  $Monat = 0;
  $CurMon = date("Ym",$datvon);

  $Mon_B_Ein = 0;
  $Mon_B_Aus = 0;

//  $SQL = "SELECT neo_kassenbuch.ID, bezeichnung, Konto, Datum, Buchungstext, IF(BetragOffen=1,0,Betrag) AS BetragOK, IF(Betrag<0,0,Betrag) AS B_Ein, IF(Betrag>=0,0,Abs(Betrag)) AS B_Aus, (MWST*Betrag/100) AS UST, IF(Betrag<0,0,ABS(Betrag*MWST/100)) AS U_Ein, IF(Betrag>=0,0,ABS(Betrag*MWST/100)) AS U_Aus FROM neo_kassenbuch LEFT JOIN neo_kassenbuch_konten ON (Konto=neo_kassenbuch_konten.id) WHERE Datum>=$datvon AND Datum<=$datbis $where ORDER BY bezeichnung, $order;";
//  $SQL = "SELECT neo_kassenbuch.ID, bezeichnung, Konto, Datum, CONCAT(Buchungstext,IF(BetragOffen=1,' / NOCH NICHT BEZAHLT','')) AS Buchungstext, IF(BetragOffen=1,0,Betrag) AS BetragOK, IF(Betrag<0 OR BetragOffen=1,0,Betrag) AS B_Ein, IF(Betrag>=0 OR BetragOffen=1,0,Abs(Betrag)) AS B_Aus, IF(BetragOffen=1,0,(MWST*Betrag/100)) AS UST, IF(Betrag<0 OR BetragOffen=1,0,ABS(Betrag*MWST/100)) AS U_Ein, IF(Betrag>=0 OR BetragOffen=1,0,ABS(Betrag*MWST/100)) AS U_Aus FROM neo_kassenbuch LEFT JOIN neo_kassenbuch_konten ON (Konto=neo_kassenbuch_konten.id) WHERE Datum>=$datvon AND Datum<=$datbis $where ORDER BY bezeichnung, $order;";

  $SQL = "SELECT 
	    neo_kassenbuch.ID, 
	    bezeichnung, 
	    Konto, 
	    Datum,
            BetragOffen,
	    CONCAT(Buchungstext,IF(BetragOffen=1,' / keine Zahlung',IF(MWST_Anteil<>100,CONCAT(' / ',MWST_Anteil,'% UST Bemessungsgrundlage'),''))) AS Buchungstext, 
	    IF(BetragOffen=1,0,Betrag) AS BetragOK, 
	    IF(Betrag<0 OR BetragOffen=1,0,Betrag) AS B_Ein, 
	    IF(Betrag>=0 OR BetragOffen=1,0,Abs(Betrag)) AS B_Aus, 
	    IF(BetragOffen=1,0,(MWST*Betrag/100)) AS UST, 
	    IF(Betrag<0 OR BetragOffen=1,0,ABS((Betrag*MWST_Anteil/100)*MWST/100)) AS U_Ein, 
	    IF(Betrag<0 OR BetragOffen=1,0,ABS(Betrag*MWST/100)) AS U_Ein_Old,
	    IF(Betrag>=0 OR BetragOffen=1,0,ABS((Betrag*MWST_Anteil/100)*MWST/100)) AS U_Aus, 
	    IF(Betrag>=0 OR BetragOffen=1,0,ABS(Betrag*MWST/100)) AS U_Aus_Old,
	    MWST 
	  FROM 
	    neo_kassenbuch 
	  LEFT JOIN 
	    neo_kassenbuch_konten 
	    ON (Konto=neo_kassenbuch_konten.id) 
	  WHERE 
	    Datum>=$datvon AND 
	    Datum<=$datbis 
	    $where 
	  ORDER BY 
	    bezeichnung, 
	    $order
	  ;
	 ";

  $res = QUERY($SQL);

  $old_konto = "";
  $BE = 0;
  $BA = 0;
  $BEU = 0;
  $BAU = 0;

  while ($row = mysql_fetch_array($res)) {
   if ($editable) $a1="<a href='kassenbuch.php?datvon=".date("d.m.Y",$datvon)."&datbis=".date("d.m.Y",$datbis)."&action=edit&id=".$row["ID"]."'>"; else $a1="";
   if ($a1=="") $a2=""; else $a2="</a>";

   if ($row['BetragOffen'] == 1) $s1 = '<s>'; else $s1 = '';
   if ($s1=='') $s2=''; else $s2='</s>';

   if ($row["Konto"]!=$old_konto) {
    if ($old_konto!="") {
     echo "<TR><TD>&nbsp;</TD><TD><b>Zwischensumme</b></TD>
            <TD align='right'><b>".Zahl($BE,false)."</TD><TD align='right'><b>".Zahl($BEU,false)."</TD>
            <TD align='right'><b>".Zahl($BA,false)."</TD><TD align='right'><b>".Zahl($BAU,false)."</TD>
           </TR>";
     echo "<TR><TD COLSPAN='4'>&nbsp;</TD></TR>";
    }
    echo "<TR><TD COLSPAN='4'><b>Konto: ".$row["bezeichnung"]."</b></TD></TR>";
    $BE = 0;
    $BA = 0;
    $BEU = 0;
    $BAU = 0;
    $BEUa = Array();
    $BAUa = Array();
    
    $old_konto = $row["Konto"];
   }

   $BE = $BE+$row["B_Ein"];
   $BA = $BA+$row["B_Aus"];
   $BEU = $BEU+$row["U_Ein"];
   $BAU = $BAU+$row["U_Aus"];

   echo "<TR>
          <TD>".date("d.m.Y",$row["Datum"])."</TD>
          <TD>$s1$a1".$row["Buchungstext"]."$a2$s2</TD>
          <TD align='right'>".Zahl($row["B_Ein"],false)."</TD><TD align='right'>".Zahl($row["U_Ein"],false)."</TD>
          <TD align='right'>".Zahl($row["B_Aus"],false)."</TD><TD align='right'>".Zahl($row["U_Aus"],false)."</TD>
         </TR>";

   if ($CurMon <> date("Ym",$row["Datum"])) {
    $Monat++;
    $TMon[$Monat]["B_Ein"] = $Mon_B_Ein;
    $TMon[$Monat]["B_Aus"] = $Mon_B_Aus;
    $TMon[$Monat]["Monat"] = $CurMon;
    $Mon_B_Ein = 0;
    $Mon_B_Aus = 0;
    $CurMon = date("Ym",$row["Datum"]);
   }


   $Sum_B_Ein = $Sum_B_Ein+$row["B_Ein"];
   $Sum_B_Aus = $Sum_B_Aus+$row["B_Aus"];
   $Sum_U_Ein = $Sum_U_Ein+$row["U_Ein"];
   $Sum_U_Aus = $Sum_U_Aus+$row["U_Aus"];

   $Mon_B_Ein = $Mon_B_Ein+$row["B_Ein"];
   $Mon_B_Aus = $Mon_B_Aus+$row["B_Aus"];

   if (!isset($USTa[$row["MWST"]])) {
	$USTa[$row["MWST"]]["Ein"] = 0;
	$USTa[$row["MWST"]]["Aus"] = 0;
	$USTa[$row["MWST"]]["UEin"] = 0;
	$USTa[$row["MWST"]]["UAus"] = 0;
   }
    $USTa[$row["MWST"]]["Ein"] += $row["B_Ein"];
    $USTa[$row["MWST"]]["Aus"] += $row["B_Aus"];
    $USTa[$row["MWST"]]["UEin"] += $row["U_Ein"];
    $USTa[$row["MWST"]]["UAus"] += $row["U_Aus"];

  }

  // LETZTEN MONAT AUCH AUFNEHMEN!!!
    $Monat++;
    $TMon[$Monat]["B_Ein"] = $Mon_B_Ein;
    $TMon[$Monat]["B_Aus"] = $Mon_B_Aus;
    $TMon[$Monat]["Monat"] = $CurMon;
    $Mon_B_Ein = 0;
    $Mon_B_Aus = 0;
    $CurMon = date("Ym",$row["Datum"]);
  // ===============================




     echo "<TR><TD>&nbsp;</TD><TD><b>Zwischensumme</b></TD>
            <TD align='right'><b>".Zahl($BE,false)."</TD><TD align='right'><b>".Zahl($BEU,false)."</TD>
            <TD align='right'><b>".Zahl($BA,false)."</TD><TD align='right'><b>".Zahl($BAU,false)."</TD>
           </TR>";
     echo "<TR><TD COLSPAN='4'>&nbsp;</TD></TR>";





  $saldo = $Sum_B_Ein-$Sum_B_Aus;
  if ($saldo<0) $GV = "VERLUST"; else $GV = "GEWINN";

  echo "</tbody>
        <tfoot>
        <TR>
         <TD COLSPAN='2'><b>Total Summen</b></TD>
         <TD align='right'><b>".Zahl($Sum_B_Ein,true)."</b></TD><TD align='right'><b>".Zahl($Sum_U_Ein,true)."</b></TD>
         <TD align='right'><b>".Zahl($Sum_B_Aus,true)."</b></TD><TD align='right'><b>".Zahl($Sum_U_Aus,true)."</b></TD>
        </TR>";

if (!isset($USTa)) $USTa = Array();
//print_r($USTa);
asort($USTa);
foreach ($USTa as $ust=>$u) {
//  if ($ust!=0)
  echo "<TR>
         <TD COLSPAN='2' align='right'><i>UST E/A ".$ust."%</i></TD>
         <TD align='right'><i>".Zahl($u["Ein"],true)."</i></TD><TD align='right'><i>".Zahl($u["UEin"],true)."</i></TD>
         <TD align='right'><i>".Zahl($u["Aus"],true)."</i></TD><TD align='right'><i>".Zahl($u["UAus"],true)."</i></TD>
        </TR>";
}


  // E/A Diagramm berechnen??
//  CreateDiagram1($TMon);
//  echo "<TR><TD COLSPAN='6'><IMG SRC='stat1.png'></TD></TR>";


  echo "
        <TR>
         <TD COLSPAN='2'><b>$GV</b></TD>
         <TD align='right'><b>".Zahl($saldo,true)."</b></TD>
        </TR>
        <TR>
         <TD COLSPAN='2'><b>MWST SALDO</b></TD>
         <TD align='right'><b>".Zahl($Sum_U_Ein-$Sum_U_Aus,true)."</b></TD>
        </TR>";
    

  echo "</tfoot></TABLE>";
 }


 function CreateDiagram1($TMon) {
  // Erstellt eine Grafik fr 12 Monate
  // Es werden folgende Werte gezeigt: E/A Pro Monat
  global $Sum_B_Ein, $Sum_B_Aus, $Sum_U_Ein, $Sum_U_Aus;
  $width = 361;
  $height = 145;
  $MonWidth = 30;

  $im = @ImageCreateTrueColor ($width, $height)
        or die ("Kann keinen neuen GD-Bild-Stream erzeugen");
  $bg = ImageColorAllocate ($im, 255, 255, 255);
  $bg2 = ImageColorAllocate ($im, 100, 100, 100);
  $tc = ImageColorAllocate ($im, 0, 0, 0);
  $lc = ImageColorAllocate ($im, 0, 0, 0);
  $lec = ImageColorAllocate ($im, 0, 255, 0);
  $lac = ImageColorAllocate ($im, 255, 0, 0);
  $lsc = ImageColorAllocate ($im, 0, 0, 255);
  ImageFill($im,0,0,$bg);
  ImageRectangle($im,0,0,$width-1,100,$lc);
  ImageFill($im,1,1,$bg2);
  ImageLine($im,0,50,$width,50,$lc);

  ImageString ($im, 2, 10, 10, "E", $lec);
  ImageString ($im, 2, 20, 10, "A", $lac);
  ImageString ($im, 2, 30, 10, "S", $lsc);

  $i1 = $TMon[1]["Monat"];
  $i = $i1;
  $xold = 0;
  $yEold = 100;
  $yAold = 100;
  $SE = 0;
  $SA = 0;
  $Saldo = 0;
  $ySold = 50;

  if ($Sum_B_Ein >= $Sum_B_Aus) $MaxBetrag = $Sum_B_Ein; else $MaxBetrag = $Sum_B_Aus;
  $MaxSaldo = $MaxBetrag;


  foreach ($TMon As $Mon) {
   $x = ($i-$i1+1)*$MonWidth;
   $SE = $SE+$Mon["B_Ein"];
   $SA = $SA+$Mon["B_Aus"];
   $Saldo = $SE-$SA;
   if ($Sum_B_Ein == 0) $yE = 100; else $yE = 101-($SE*100/$MaxBetrag);
   if ($Sum_B_Aus == 0) $yA = 100; else $yA = 101-($SA*100/$MaxBetrag);
   $yS = 51-($Saldo*100/$MaxSaldo/2);
   ImageLine($im, $xold, $yEold, $x, $yE,$lec); 
   ImageLine($im, $xold, $yAold, $x, $yA,$lac); 
   ImageLine($im, $xold, $ySold, $x, $yS,$lsc); 
   ImageLine($im, $x, 100, $x,105,$lc);
   ImageStringUp ($im, 2, $x-($MonWidth/2)-5, $height-2, $Mon["Monat"], $tc);
   $xold = $x;
   $yEold = $yE;
   $yAold = $yA;
   $ySold = $yS;
   $i++;

  }

  ImagePNG($im,"stat1.png");
  

 }



// OLD STUFF

function ConvertDatesFromAccess() {
 $SQL = "SELECT * FROM neo_kassenbuch;";
 $res = mysql_db_query($SQL_DB,$SQL);
 while ($row = mysql_fetch_array($res)) {
  $s = trim($row["Datum_alt"]);
  $tag = substr($s,0,strpos($s,"."));
  $s = substr(strstr($s,"."),1,200);
  $monat = substr($s,0,strpos($s,"."));
  $s = substr(strstr($s,"."),1,200);
  $jahr = substr($s,0,strpos($s," "));

  $ts =  mktime(0,0,0,$monat,$tag,$jahr);

  $SQL = "UPDATE neo_kassenbuch SET Datum=$ts WHERE ID=".$row["ID"].";";
  mysql_db_query($SQL_DB,$SQL);
 }
 echo "OK";
}


?>
