<?php
 function stop_script() {
    include "footer.html";
    die();
 }

 function save_parameters() {
    global $datvon, $datbis;
    $options = Array(
        "datvon" => $datvon,
        "datbis" => $datbis,
        );
    $fh = fopen("options.json", "w");
    if ($fh == false) return false;
    fputs($fh, json_encode($options));
    fclose($fh);
    return true;
 }

 function load_parameters() {
    global $datvon_default, $datbis_default;
    $fh = fopen("options.json", "r");
    if ($fh == false) return false;
    fclose($fh);
    $data = file("options.json");
    $data = implode(" ", $data);
    $options = json_decode($data);
    $datvon_default = $options->datvon;
    $datbis_default = $options->datbis;
    return true;
 }

 function getpostvar($name, $default) {
    // look GET, then POST, return default value when variable not set
    $value = $default;
    if (isset($_POST[$name])) {
        $value = $_POST[$name];
    } else if (isset($_GET[$name])) $value = $_GET[$name];
    return $value;
 }

 function tmj2date($dt) {
  // Datum auseinanderpflücken und ein mysql DATE field basteln
  $dt = trim($dt);
  // erwartetes Format: "dd.mm.yyyy" -> auch einstellig.
  if (substr_count($dt,".") != 2) {
   return "ERROR";
  } else {
   ereg ("([0-9]{1,2}).([0-9]{1,2}).([0-9]{2,4})", $dt, $r);
   $ts = $r[3].'/'.$r[2].'/'.$r[1];
   return $ts;
  }
 }


 function Zahl($n,$returnzero) {
  $res = number_format($n, 2, ",", ".");
  if ($n==0 && !$returnzero) $res = "&nbsp;";
  return $res;
 }

 function Dstr2TimeStamp($dt) {
  // Datum auseinanderpflücken und eine TimeStamp daraus basteln
  $dt = trim($dt);
  // erwartetes Format: "dd.mm.yyyy" -> auch einstellig.
  // komma in punkt umwandeln:
  $dt = preg_replace("/,/",".",$dt);
  if (substr_count($dt,".") != 2) {
   return "ERROR";
  } else {
   preg_match ("/([0-9]{1,2}).([0-9]{1,2}).([0-9]{2,4})/", $dt, $r);
   $ts = mktime(0,0,0,$r[2],$r[1],$r[3]);
   return $ts;
  }
 }


 function buc_optionlist_konten($konto_selected) {
  global $koplan;
  $res = QUERY("SELECT id,bezeichnung FROM neo_kassenbuch_konten WHERE (aktiv=1) OR (id='".$konto_selected."') ORDER BY bezeichnung;");
  $nokonto = true;
  $list = "";
  while ($row = mysql_fetch_array($res)) {
   if ($row["id"]==$konto_selected) {
    $nokonto = false;
    $sel = " SELECTED";
   } else $sel = "";
   $list .= "<OPTION VALUE='".$row["id"]."'".$sel.">".$row["bezeichnung"];
  }
  if ($nokonto==true) $list = "<OPTION VALUE=''>".$list;
  return $list;
 }


 function buc_optionlist_orte($ort_selected) {
  global $koplan;
  $res = QUERY("SELECT id,bezeichnung, vorlage_KM FROM neo_kassenbuch_orte ORDER BY bezeichnung;");
  $nokonto = true;
  $list = "";
  while ($row = mysql_fetch_array($res)) {
   if ($row["id"]==$ort_selected) {
    $nokonto = false;
    $sel = " SELECTED";
   } else $sel = "";
   $list .= "<OPTION VALUE='".$row["id"].";".$row["vorlage_KM"]."'".$sel.">".$row["bezeichnung"]." (".$row["vorlage_KM"]." KM)";
  }
  if ($nokonto==true) $list = "<OPTION VALUE='0'>".$list;
  return $list;
 }


 function QUERY($SQL) {
  global $link, $scriptqueries;
  $res = mysql_query($SQL, $link)
   or QUERY_ERROR($SQL);
  $scriptqueries++;
  return $res;
 }

 function QUERY_ERROR($SQL) {
  echo "<hr>\nFEHLER - PROGRAMMABBRUCH.<br>\n
        MYSQL Info().: ".mysql_info()."<br>\n
        MYSQL Err()..: ".mysql_error()."<br>\n
        SQL STRING...: ".$SQL;
  die();
 }
 
 
?> 
